org.crosswire.bibledesktop.book

## Class DisplaySelectEvent

- java.lang.Object
- - java.util.EventObject
  - - org.crosswire.bibledesktop.book.DisplaySelectEvent

- All Implemented Interfaces:
    Serializable

      public class DisplaySelectEvent
      extends EventObject

  A DisplaySelectEvent happens whenever a user makes a command.
  Author:
    Joe Walker
  See Also:
    `for license details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.jsword.passage.Key` | `key` The new passage
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplaySelectEvent(org.crosswire.jsword.book.BookProvider source, org.crosswire.jsword.passage.Key key)` For when a command has been made

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.crosswire.jsword.book.BookProvider` | `getBookProvider()` Get the type of command
    `org.crosswire.jsword.passage.Key` | `getKey()` Get the type of command

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          private org.crosswire.jsword.passage.Key key

      The new passage

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DisplaySelectEvent

          public DisplaySelectEvent(org.crosswire.jsword.book.BookProvider source,
                            org.crosswire.jsword.passage.Key key)

      For when a command has been made
      Parameters:
        `source` - The thing that started this off
        `key` - The selected Key

  - ### Method Detail

    - #### getKey

          public org.crosswire.jsword.passage.Key getKey()

      Get the type of command
      Returns:
        The type of command

    - #### getBookProvider

          public org.crosswire.jsword.book.BookProvider getBookProvider()

      Get the type of command
      Returns:
        The type of command